/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, and distribute this software for
 * NON-COMMERCIAL purposes and without fee is hereby granted
 * provided that this copyright notice appears in all copies.
 *
 */

import java.awt.Frame;
import java.util.Properties;

/**
 * vpeBҏWʁB
 *
 * @version     1.1, 99/09/24
 * @author      Tadayoshi Maekawa, Sun Microsystems K.K.
 */
public class PropertyEditor {
    /**
     * vpeBB
     */
    Properties props;

    /**
     * GUIB
     */
    PropertyEditorUI ui;

    /**
     * et[ƃ[_̃tOAftHgl̃vpeB
     * RXgN^B
     * @param fr et[
     * @param mf [_̃tO
     * @param pr vpeBEftHgl
     */
    public PropertyEditor(Frame fr, boolean mf, Properties pr) {
        props = (pr == null) ? new Properties() : (Properties)pr.clone();
        ui = new PropertyEditorUI(fr, mf, this);
        ui.setPropertiesListTable(props);
        ui.setVisible(true);
    }

    /**
     * vpeBԂB
     */
    public Properties getProperties() {
        props = ui.getPropertiesListTable();
        return props;
    }
}
