/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, and distribute this software for
 * NON-COMMERCIAL purposes and without fee is hereby granted
 * provided that this copyright notice appears in all copies.
 *
 */

import javax.swing.table.*;
import java.sql.*;

/**
 * e[uEGfB^ňJ\NXB\e[ũJEf[
 * ^ɂgp邪Af[^x[XEe[uEJ̏ێ邱Ƃ
 * ړIƂ́B
 * @author      Tadayoshi Maekawa, Sun Microsystems K.K.
 * @version     1.2 99/09/22
 */
class TableViewerColumn {
    /**
     * \xB
     */
    public String label;

    /**
     * OB
     */
    public String name;

    /**
     * SQL f[^^Bjava.sql.Types ̒lB
     */
    public int type;

    /**
     * \B
     */
    public int displaySize;

    /**
     * Null /sBs̏ꍇ Null sƂB
     */
    public boolean nullable;

    /**
     * ő\B
     */
    public int maxDisplaySize;

    /**
     * RXgN^B
     * @param l x
     * @param n O
     * @param t f[^^
     * @param ds \
     * @param nl Null /sBs̏ꍇ Null sƂB
     */
    public TableViewerColumn(String l, String n, int t,
                             int ds, boolean nl) {
        label = l;
        name = n;
        type = t;
        displaySize = ds;
        nullable = nl;
        maxDisplaySize = (l != null) ? l.length() : 0;
    }

    /**
     * \𓾂B
     * @return xԂB
     */
    public String toString() {
        return label;
    }
}
