/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, and distribute this software for
 * NON-COMMERCIAL purposes and without fee is hereby granted
 * provided that this copyright notice appears in all copies.
 *
 */

import java.awt.event.*;
import java.sql.*;

/**
 * hCoo^_CAÕANVEXi
 * @version	1.4 99/10/13
 * @author 	Yuichi Omata, Sun Microsystems Inc.
 * @author      Tadayoshi Maekawa, Sun Microsystems K.K.
 */
class AddDriverDialogCommand implements ActionListener {
    static final int Drivers = 0;
    static final int Register = 1;
    static final int Cancel = 2;

    int id;
    AddDriverDialog module;
    AddDriverDialogGUI gui;

    AddDriverDialogCommand(int id, AddDriverDialog module) {
        this.id = id;
        this.module = module;
    }

    /**
     * hCoo^_CAÕ{^ꂽꍇ̃ANVsB
     */
    public void actionPerformed(ActionEvent ev) {
        gui = module.getGUI();
        switch (id) {
        case Drivers: // hCoNXhCotB[hɕ\
            gui.driverNameTextField.setText(
                module.DriverList[gui.driverChoice.getSelectedIndex()][1]);
            break;
        case Register: // hCoŎw肳ꂽhCo̓o^s
            module.registerDriver(gui.driverNameTextField.getText());
            gui.setVisible(false);    
            break;
        case Cancel: // _CAOB
            gui.setVisible(false);
            break;
        }
    }
}
