/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, and distribute this software for
 * NON-COMMERCIAL purposes and without fee is hereby granted
 * provided that this copyright notice appears in all copies.
 *
 */

import java.io.*;
import java.sql.*;

/**
 * JDBCTerminal OEt[EW[
 * @version	1.1 99/10/05
 * @author 	Yuichi Omata, Sun Microsystems Inc.
 * @author      Tadayoshi Maekawa, Sun Microsystems K.K.
 */
public class LogFrame {

    LogFrameGUI gui;
    PrintWriter logWriter;

    public LogFrame(){
	gui = new LogFrameGUI();
        logWriter = gui.getLogWriter();
    }

    public void setVisible(boolean b){
	gui.setVisible(b);
    }

    public PrintWriter getLogWriter() {
        return logWriter;
    }
}
